Subject: Re: [bug#60699] [PATCH 1/2] gnu: Add fwupd service.

From: Jelle Licht <[email-masked]>
Date: Wed, 11 Jan 2023 15:31:24 +0100

phodina <[email-masked]> writes:

> Hi Jelle,
>
> I've tested the fwupd on my Asus Zenbook machine - see the attached screenshot.
>
> Without the service running the gnome-firmware or fwupdtool didn't work.
>
> With the service running I get some information about the firmware, EFI... It hasn't been battle tested by updating anything as the firmware there is the latest.
>
> I've also tried adding polkit extension but it seems to run without it in my case. Could you please test the patch if it works also for you, if not we can add it :-)
>

>From my system logs:
--8<---------------cut here---------------start------------->8---
Jan 11 15:17:09 localhost shepherd[1]: [fwupd] 14:17:09:0330 FuMain
another service has claimed the dbus name org.freedesktop.fwupd
Jan 11 15:17:09 localhost shepherd[1]: Respawning fwupd.
--8<---------------cut here---------------end--------------->8---
(and this repeated till shepherd disables the fwupd service).

Note that 'another service has claimed the dbus name' seems to be a
misleading error message:

Running `sudo herd enable fwupd', `sudo herd start fwupd', while paying
attention to the output of `sudo dbus-monitor --system' (/w `guix shell
dbus') in another terminal:

--8<---------------cut here---------------start------------->8---
method call time=1673446874.805907 sender=:1.162 -> destination=org.freedesktop.DBus serial=645 path=/org/freedesktop/DBus; interface=org.freedesktop.DBus; member=RequestName
   string "org.freedesktop.fwupd"
   uint32 3
error time=1673446874.805914 sender=org.freedesktop.DBus -> destination=:1.162 error_name=org.freedesktop.DBus.Error.AccessDenied reply_serial=645
   string "Connection ":1.162" is not allowed to own the service "org.freedesktop.fwupd" due to security policies in the configuration file"
--8<---------------cut here---------------end--------------->8---

WDYT about adding a system test that verifies that fwupd can be started?
Then we will know whether it's an anomaly on either of our respective
machines :-). 

Additionally, would you be able to write documentation for the new
service as well?

> Check the rewritten synposis for gnome-firmware.
LGTM.

Thanks!
- Jelle